Bug 622436 - Removal of Security:domestic from Console
Summary: Removal of Security:domestic from Console
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console   
(Show other bugs)
Version: 7.1
Hardware: All
OS: All
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2010-08-09 10:56 UTC by Gerhardus Geldenhuis
Modified: 2015-12-07 17:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:11:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console Framework Diffs (1.24 KB, patch)
2011-03-08 21:27 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Gerhardus Geldenhuis 2010-08-09 10:56:06 UTC
Description of problem:
In the Management Console it displays:
Security level: domestic

Since this has been the default/only security level for quite a few years and only add potential confusion it would be better to just remove it entirely from the UI.

The email thread contains the discussion for removal:

http://lists.fedoraproject.org/pipermail/389-users/2010-August/011883.html

Comment 3 Nathan Kinder 2011-03-08 21:27:30 UTC
Created attachment 483026 [details]
Console Framework Diffs

This patch removes the "Security level" field from the server info panels in Console.  One will no longer see this field.

Internally, the Console code still has a security level concept that is used for enabling ciphers.  It is not worth changing this as the code is widespread and exposed via public API.  It is possible that it is used by other projects, such as Dogtag.

Comment 4 Nathan Kinder 2011-03-08 22:06:27 UTC
Checked into CVS (HEAD).  Thanks to Noriko for her review!

Checking in src/com/netscape/management/client/topology/AbstractServerObject.java;
/cvs/dirsec/console/src/com/netscape/management/client/topology/AbstractServerObject.java,v  <--  AbstractServerObject.java
new revision: 1.6; previous revision: 1.5
done

Comment 5 Noriko Hosoi 2011-07-26 23:25:06 UTC
Steps to verify.
1. Start and login Console.
2. On Redhat Management Console, expand FQDN, then Server Group.
   Then choose Directory Server (ID).
3. On the right pane, if there is no "Security level" field, the bug is verified.

Comment 6 Amita Sharma 2011-07-29 12:14:56 UTC
Followed comment#5, no "Security level" field found, hence marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.